Subject: [AVTCORE] Technical - Re: [Editorial Errata Reported] RFC7273 (4450)

From: [email-masked]
Date: Tue, 18 Aug 2015 10:36:56 -0700 (PDT)

FYI, the type of this erratum has been changed to Technical because it is not "a spelling, grammar, punctuation, or syntax error that does not affect the technical meaning".

Thank you.
RFC Editor/ar

On Aug 18, 2015, at 7:49 AM, RFC Errata System <[email-masked]> wrote:

The following errata report has been submitted for RFC7273,
"RTP Clock Source Signalling".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7273&eid=4450

--------------------------------------
Type: Editorial
Reported by: Kevin Gross <[email-masked]>

Section: 5.5

Original Text
-------------
5.5.  Examples

v=0
o=- 1311738121 1311738121 IN IP4 192.168.1.1
c=IN IP4 239.0.0.2/255
s=
t=0 0
m=audio 5004 RTP/AVP 96
a=rtpmap:96 L24/48000/8
a=sendonly
a=ts-refclk:ptp=IEEE1588-2008:39-A7-94-FF-FE-07-CB-D0:0
a=mediaclk:offset=963214424

Figure 6: Media clock directly referenced to IEEE 1588-2008

v=0
o=- 1311738121 1311738121 IN IP4 192.168.1.1
c=IN IP4 239.0.0.2/255
s=
t=0 0
m=audio 5004 RTP/AVP 96
a=rtpmap:96 L24/44100/2
a=sendonly
a=ts-refclk:ptp=IEEE1588-2008:39-A7-94-FF-FE-07-CB-D0:0
a=mediaclk:offset=963214424 rate=1000/1001

Figure 7: "Oddball" sample rate directly refernced to IEEE 1588-2008

v=0
o=- 1311738121 1311738121 IN IP4 192.168.1.1
c=IN IP4 224.2.228.230/32
s=
t=0 0
m=audio 5004 RTP/AVP 96
a=rtpmap:96 L24/48000/2
a=sendonly
a=ts-refclk:ptp=IEEE1588-2008:39-A7-94-FF-FE-07-CB-D0:0
a=mediaclk:rtp=IN IP4 239.0.0.1 5004 00:60:2b:20:12:if

Figure 8: Stream media clock derived from another RTP multicast
stream

v=0
o=- 1311738121 1311738121 IN IP4 192.168.1.1
c=IN IP4 224.2.228.230/32
s=
t=0 0
m=audio 5004 RTP/AVP 96
a=rtpmap:96 L24/48000/2
a=sendonly
a=ts-refclk:ptp=IEEE1588-2008:39-A7-94-FF-FE-07-CB-D0:0
a=mediaclk:IEEE1722=38-D6-6D-8E-D2-78-13-2F

Figure 9: Stream media clock derived from another RTP multicast
stream

Corrected Text
--------------
5.5.  Examples

v=0
o=- 1311738121 1311738121 IN IP4 192.168.1.1
c=IN IP4 239.0.0.2/255
s=
t=0 0
m=audio 5004 RTP/AVP 96
a=rtpmap:96 L24/48000/8
a=sendonly
a=ts-refclk:ptp=IEEE1588-2008:39-A7-94-FF-FE-07-CB-D0:domain-nmbr=0
a=mediaclk:offset=963214424

Figure 6: Media clock directly referenced to IEEE 1588-2008

Figure 7 shows an example SDP description 2 channels of 24-bit, 44056
kHz NTSC "pull-down" media clock derived directly from an IEEE 1588-
2008 reference clock

v=0
o=- 1311738121 1311738121 IN IP4 192.168.1.1
c=IN IP4 239.0.0.2/255
s=
t=0 0
m=audio 5004 RTP/AVP 96
a=rtpmap:96 L24/44100/2
a=sendonly
a=ts-refclk:ptp=IEEE1588-2008:39-A7-94-FF-FE-07-CB-D0:domain-nmbr=0
a=mediaclk:offset=963214424 rate=1000/1001

Figure 7: "Oddball" sample rate directly refernced to IEEE 1588-2008

Figure 8 shows the same 48 kHz audio transmission from Figure 6 with
media clock derived from another RTP multicast stream.  The stream
providing the media clock must use the same reference clock as this
stream that references it.

v=0
o=- 1311738121 1311738121 IN IP4 192.168.1.1
c=IN IP4 224.2.228.230/32
s=
t=0 0
m=audio 5004 RTP/AVP 96
a=rtpmap:96 L24/48000/2
a=sendonly
a=ts-refclk:ptp=IEEE1588-2008:39-A7-94-FF-FE-07-CB-D0:domain-nmbr=0
a=mediaclk:rtp=IN IP4 239.0.0.1 5004 00:60:2b:20:12:if

Figure 8: Stream media clock derived from another RTP multicast
stream

Figure 9 shows the same 48 kHz audio transmission from Figure 6 with
media clock derived from an IEEE 1722 AVB stream.  The stream
providing the media clock must be synchronized with the IEEE 1588-
2008 reference clock used by this stream.

v=0
o=- 1311738121 1311738121 IN IP4 192.168.1.1
c=IN IP4 224.2.228.230/32
s=
t=0 0
m=audio 5004 RTP/AVP 96
a=rtpmap:96 L24/48000/2
a=sendonly
a=ts-refclk:ptp=IEEE1588-2008:39-A7-94-FF-FE-07-CB-D0:domain-nmbr=0
a=mediaclk:IEEE1722=38-D6-6D-8E-D2-78-13-2F

Figure 9: Stream media clock derived from another RTP multicast
stream

Notes
-----
There is an inconsistency between ABNF in section 4.8 and examples in section 5.5. It would be cleaner to correct the examples and that is what is proposed above. There is evidence, however, that current implementations are working to what is shown in the examples, not according to the ABNF specification.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7273 (draft-ietf-avtcore-clksrc-11)
--------------------------------------
Title               : RTP Clock Source Signalling
Publication Date    : June 2014
Author(s)           : A. Williams, K. Gross, R. van Brandenburg, H. Stokking
Category            : PROPOSED STANDARD
Source              : Audio/Video Transport Core Maintenance RAI
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG